com.r3corda.node.services.config / NodeConfiguration

# NodeConfiguration

`interface NodeConfiguration : NodeSSLConfiguration`

### Properties

basedir | `abstract val basedir: Path`
certificatesPath | `open val certificatesPath: Path`
dataSourceProperties | `open val dataSourceProperties: Properties`
devMode | `abstract val devMode: Boolean`
emailAddress | `abstract val emailAddress: String`
exportJMXto | `abstract val exportJMXto: String`
myLegalName | `abstract val myLegalName: String`
nearestCity | `abstract val nearestCity: String`

### Inherited Properties

keyStorePassword | `abstract val keyStorePassword: String`
keyStorePath | `open val keyStorePath: Path`
trustStorePassword | `abstract val trustStorePassword: String`
trustStorePath | `open val trustStorePath: Path`

### Extension Functions

configureWithDevSSLCertificate | `fun NodeSSLConfiguration.configureWithDevSSLCertificate(): Unit` Strictly for dev only automatically construct a server certificate/private key signed from the CA certs in Node resources. Then provision KeyStores into certificates folder under node path.

### Inheritors

FullNodeConfiguration | `class FullNodeConfiguration : NodeConfiguration`